Module ij
Package ij.process

# Enum Class AutoThresholder.Method

java.lang.Object
java.lang.Enum<AutoThresholder.Method>
ij.process.AutoThresholder.Method

All Implemented Interfaces:
  `Serializable`, `Comparable<AutoThresholder.Method>`, `Constable`

Enclosing class:
  `AutoThresholder`

public static enum AutoThresholder.Method extends Enum<AutoThresholder.Method>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Default`
`Huang`
`IJ_IsoData`
`Intermodes`
`IsoData`
`Li`
`MaxEntropy`
`Mean`
`MinError`
`Minimum`
`Moments`
`Otsu`
`Percentile`
`RenyiEntropy`
`Shanbhag`
`Triangle`
`Yen`

## Method Summary

Modifier and Type
Method
Description
`static AutoThresholder.Method`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AutoThresholder.Method[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Default

public static final AutoThresholder.Method Default

### Huang

public static final AutoThresholder.Method Huang

### Intermodes

public static final AutoThresholder.Method Intermodes

### IsoData

public static final AutoThresholder.Method IsoData

### IJ_IsoData

public static final AutoThresholder.Method IJ_IsoData

### Li

public static final AutoThresholder.Method Li

### MaxEntropy

public static final AutoThresholder.Method MaxEntropy

### Mean

public static final AutoThresholder.Method Mean

### MinError

public static final AutoThresholder.Method MinError

### Minimum

public static final AutoThresholder.Method Minimum

### Moments

public static final AutoThresholder.Method Moments

### Otsu

public static final AutoThresholder.Method Otsu

### Percentile

public static final AutoThresholder.Method Percentile

### RenyiEntropy

public static final AutoThresholder.Method RenyiEntropy

### Shanbhag

public static final AutoThresholder.Method Shanbhag

### Triangle

public static final AutoThresholder.Method Triangle

### Yen

public static final AutoThresholder.Method Yen

## Method Details

### values

public static AutoThresholder.Method[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AutoThresholder.Method valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null